import { Events, Guild } from "npm:discord.js";
import { connectToDb, getGuild, addGuild } from "../libs/mysql.ts";

export default {
	name: Events.GuildCreate,
	async execute(guild: Guild) {
		const connection = await connectToDb();
        const guild_obj: any[] = await getGuild(connection, guild.id);

        connection.end()

        if (guild_obj[0]) {
            return;
        }

        addGuild(connection, guild.id);
	},
};
